Subject: [clue] to SCTPoDTLS association; Re: Draft new version: draft-ietf-clue-datachannel-05

From: "Schwarz, Albrecht (Albrecht)" <[email-masked]>
Date: Wed, 3 Dec 2014 10:27:17 +0000

Dear All,

the concept of a "SCTPoDTLS association" seems to be cause of some confusions in other related threads.
The draft itself is refering to ietf-tsvwg-sctp-dtls-encaps:
"The document defines how to describe the SCTPoDTLS association [I-D.ietf-tsvwg-sctp-dtls-encaps] ..."

However, draft ietf-tsvwg-sctp-dtls-encaps correctly just uses the notion of an "SCTP association" (as well as other drafts such as draft-ietf-mmusic-sctp-sdp-08). Hence, it looks like that this draft is the root of the "SCTPoDTLS association" concept, right?

The issue might be fixed by adding a convention (or definition) to clause 2, such as

The notion of "SCTPoDTLS association" relates to an abstracted connection concept concerning the protocol layering of a SCTP association over a DTLS association. The DTLS association is synonym to a DTLS connection (see clause 3 in [RFC5764]).

Any comments?
The rationale behind that clarification is the aspect of controlling the SCTP association and DTLS connection (or even DTLS session) separately. Both protocols are of type connection-oriented, i.e., constituted by state machines. I.e., there are separated, decoupled state machines behind the (SCTP)-association-endpoint and the (DTLS)-connection-endpoint.

Albrecht

____

[clue] Draft new version: draft-ietf-clue-datachannel-05

    From: Christer Holmberg <christer.holmberg at ericsson.com>
    To: "clue at ietf.org" <clue at ietf.org>
    Date: Thu, 27 Nov 2014 09:07:17 +0000
    List-id: CLUE - ControLling mUltiple streams for TElepresence <clue.ietf.org>

Hi,

I've submitted a new version of the CLUE data channel draft.
I have now described DCEP and Keith Richard as two separate mechanisms for establishing a CLUE Data Channel.

Both mechanisms are based on usage of SDP Offer/Answer (e.g. how the m- line is created, which endpoints sends the DCEP open message etc), but there are notes indicating that other protocols might also be used.

Regards, 
Christer

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 3 Dec 2014 11:17:43 +0000

Hi Albrecht,

> The rationale behind that clarification is the aspect of controlling the SCTP association and DTLS connection (or even DTLS session) separately. Both protocols are of type 
> connection-oriented, i.e., constituted by state machines. I.e., there are separated, decoupled state machines behind the (SCTP)-association-endpoint and the (DTLS)-connection-endpoint.

I agree that we should either add a convention, or use different terminology.

Regards,

Christer

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 3 Dec 2014 13:09:31 +0000

Hi Albrecht, 

What about adding the following to the Conventions section:

	"SCTPoDTLS association refers to an SCTP association carried
	over an DTLS connection [I-D.ietf-tsvwg-sctp-dtls-encaps"]."

Then we can use "SCTPoDTLS association" throughout the document, rather than having to say "SCTP association carried over a DTLS connection" everywhere...

Regards,

Christer

-----Original Message-----
From: clue [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: 3. joulukuuta 2014 13:18
To: Schwarz, Albrecht (Albrecht); [email-masked]
Subject: Re: [clue] to SCTPoDTLS association; Re: Draft new version: draft-ietf-clue-datachannel-05

Hi Albrecht,

> The rationale behind that clarification is the aspect of controlling 
> the SCTP association and DTLS connection (or even DTLS session) separately. Both protocols are of type connection-oriented, i.e., constituted by state machines. I.e., there are separated, decoupled state machines behind the (SCTP)-association-endpoint and the (DTLS)-connection-endpoint.

Regards,

Christer

_______________________________________________
clue mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/clue

---

From: "Schwarz, Albrecht (Albrecht)" <[email-masked]>
Date: Fri, 5 Dec 2014 15:54:49 +0000

Right, would be OK for me.

-----Original Message-----
From: Christer Holmberg [mailto:[email-masked]] 
Sent: Mittwoch, 3. Dezember 2014 14:10
To: Christer Holmberg; Schwarz, Albrecht (Albrecht); [email-masked]
Subject: RE: [clue] to SCTPoDTLS association; Re: Draft new version: draft-ietf-clue-datachannel-05

Hi Albrecht, 

Regards,

Christer

-----Original Message-----
From: clue [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: 3. joulukuuta 2014 13:18
To: Schwarz, Albrecht (Albrecht); [email-masked]
Subject: Re: [clue] to SCTPoDTLS association; Re: Draft new version: draft-ietf-clue-datachannel-05

Hi Albrecht,

Regards,

Christer